# Get parameter group

## GET /public/v1/program/programs/{programId}/parameter-groups/{id}

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"prod-4.0.155-g3cf2ba3f"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/program/programs/{programId}/parameter-groups/{id}":{"get":{"tags":["ProgramParameterGroups"],"parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}},{"name":"select","in":"query","schema":{"type":"string"}},{"name":"programId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProgramParameterGroup"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"ProgramParameterGroup":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/Audit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"name":{"type":"string"},"label":{"type":"string"},"description":{"type":"string","nullable":true},"displayOrder":{"type":"integer","format":"int32"},"default":{"type":"boolean"},"parameterCount":{"type":"integer","format":"int32"},"program":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProgramRef"}]}},"additionalProperties":false},"Audit":{"type":"object","properties":{"created":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"updated":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]}},"additionalProperties":false},"Event":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/Identity"}]}},"additionalProperties":false},"Identity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/Audit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"name":{"type":"string"},"icon":{"type":"string","nullable":true}},"additionalProperties":false},"Metadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ProgramRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"status":{"type":"string","allOf":[{"$ref":"#/components/schemas/ProgramStatus"}]},"applicableTo":{"type":"string","allOf":[{"$ref":"#/components/schemas/ProgramApplicableTo"}]},"products":{"type":"array","items":{"$ref":"#/components/schemas/Product"},"nullable":true}},"additionalProperties":false},"ProgramStatus":{"enum":["None","Draft","Published","Unpublished","Deleted"],"type":"string"},"ProgramApplicableTo":{"enum":["Buyer","Licensee"],"type":"string"},"Product":{"type":"object","properties":{"id":{"type":"string"},"audit":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductAudit"}]},"$meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/Metadata"}]},"name":{"type":"string"},"shortDescription":{"type":"string","nullable":true},"longDescription":{"type":"string","nullable":true},"externalIds":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductExternalIdBag"}]},"website":{"type":"string"},"icon":{"type":"string"},"status":{"type":"string"},"vendor":{"type":"object","allOf":[{"$ref":"#/components/schemas/AccountRef"}]},"settings":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductSettings"}]},"statistics":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductStatistics"}]}},"additionalProperties":false},"ProductAudit":{"type":"object","properties":{"created":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"updated":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"published":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"pending":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]},"unpublished":{"type":"object","allOf":[{"$ref":"#/components/schemas/Event"}]}},"additionalProperties":false},"ProductExternalIdBag":{"type":"object","properties":{"operations":{"type":"string","nullable":true},"defaultErpItem":{"type":"string","nullable":true}},"additionalProperties":false},"AccountRef":{"required":["name","status","type"],"type":"object","properties":{"id":{"type":"string"},"icon":{"type":"string","nullable":true},"type":{"type":"string","allOf":[{"$ref":"#/components/schemas/AccountType"}]},"status":{"type":"string","allOf":[{"$ref":"#/components/schemas/AccountStatus"}]},"name":{"maxLength":500,"minLength":1,"type":"string"}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"ProductSettings":{"type":"object","properties":{"productOrdering":{"type":"boolean"},"productRequests":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductRequestsSetting"}]},"itemSelection":{"type":"boolean"},"orderQueueChanges":{"type":"boolean"},"preValidation":{"type":"object","allOf":[{"$ref":"#/components/schemas/PreValidationSettings"}]},"splitBilling":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProductSplitBillingRequestsSetting"}]},"subscriptionCessation":{"type":"object","allOf":[{"$ref":"#/components/schemas/SubscriptionCessationSetting"}]}},"additionalProperties":false},"ProductRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"name":{"type":"string","nullable":true},"label":{"type":"string","nullable":true}},"additionalProperties":false},"PreValidationSettings":{"type":"object","properties":{"purchaseOrderDraft":{"type":"boolean"},"purchaseOrderQuerying":{"type":"boolean"},"changeOrderDraft":{"type":"boolean"},"configurationOrderDraft":{"type":"boolean"},"terminationOrder":{"type":"boolean"},"productRequest":{"type":"boolean"}},"additionalProperties":false},"ProductSplitBillingRequestsSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"type":{"type":"string","nullable":true}},"additionalProperties":false},"SubscriptionCessationSetting":{"type":"object","properties":{"enabled":{"type":"boolean"},"mode":{"enum":["Termination","Auto-renewal","Termination or auto-renewal"],"type":"string","nullable":true}},"additionalProperties":false},"ProductStatistics":{"type":"object","properties":{"itemCount":{"type":"integer","format":"int32"},"ordersPlacedCount":{"type":"integer","format":"int32"},"agreementCount":{"type":"integer","format":"int32"},"subscriptionCount":{"type":"integer","format":"int32"},"requestCount":{"type":"integer","format":"int32"}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
